'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = http_request;

var _syncRequest = require('sync-request');

var _syncRequest2 = _interopRequireDefault(_syncRequest);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function http_request(port) {
	var response = (0, _syncRequest2.default)('GET', 'http://0.0.0.0:' + port, { timeout: 1000, socketTimeout: 1000 });

	// status codes 4xx have been already thrown before this line.
	// not sure about other status codes, so just in case:
	if (response.statusCode !== 200) {
		var error = new Error(response.statusCode + ' ' + response.getBody('utf8'));
		error.code = response.statusCode;
		throw error;
	}

	return JSON.parse(response.getBody('utf8'));
}
module.exports = exports['default'];
//# sourceMappingURL=synchronous http.js.map